Subject: RE: bug#35885: 25.2; Few mistakes in Emacs Manual (+ proposals)

From: Drew Adams <[email-masked]>
Date: Mon, 10 Jun 2019 10:44:49 -0700 (PDT)

> I don't think I understand (and if I do, I disagree).  The text says:
>   if N is negative, ... leaving -N spaces before point.
> When N is negative, -N is positive, so the original text sounds
> correct to me.

Yes, it's correct.  But it's not obvious - it's
easy to misread it.

Of course, it's not possible to leave a negative
number of spaces (at least I don't know what that
would mean).  A careful reader will figure it out,
but that might mean having to read it more than
once.

I think it would be clearer (by reminding that N
is negative) to say "leaving (abs N) spaces..."

(I do that in some of my doc strings, FWIW.)